#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys
import re
import binascii
import argparse
import string

parser = argparse.ArgumentParser()
parser.add_argument('inputfile', action='store', help='Input a TMD file, or a directory that will be recursively searched for TMD files with filenames ending in \'tmd\' and \'tmd.out\'')
arguments = parser.parse_args()

print '*******\nThemeContentInfoArchiveExtractor\n*******\n'

if not os.path.isfile(arguments.inputfile):
    print 'File not found'
    sys.exit(0)

with open(arguments.inputfile) as f:
    themejunk = f.read()

themeCount = int(binascii.hexlify(themejunk[0x04:0x05]),16)
for i in xrange(themeCount):
    cOffs = (0xC8*i) + 0xC8
    content_id = int(binascii.hexlify(themejunk[0x00+cOffs:0x01+cOffs]),16) + 1
    print  str("%0.8x" % content_id) + ' - ' + str(themejunk[0x08+cOffs:0x48+cOffs])

print '\nFinished'
